跳转到内容

Stable Diffusion 3.5 Medium

集成

模型 id stable-diffusion-v35-medium
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-diffusion-v35-medium?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.02 20 API 积分 在此页面运行

获取 API 密钥
Stability AI 文生图 #diffusion#typography#style

支持负面提示词、可调步数和引导强度以及每次调用最多 4 张图像的文本到图像扩散 Transformer

Stability AI · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

指导图像生成的提示词。

image_size 默认 landscape_4_3

生成图像的尺寸。

num_images 默认 1

请求生成的图像数量。

高级 negative_prompt · output_format · num_inference_steps · guidance_scale · seed · enable_safety_checker · auto_fix
默认

指定要排除的图像细节的负面提示词,包括颜色、物体、场景或更细致的特征。例如胡子、模糊或低分辨率。

output_format 默认 jpeg

结果图像的文件格式。

默认 40

要执行的推理步数。

默认 4.5

图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。

用于生成可复现图像的种子:模型版本不变时,相同的提示词和种子会生成相同图像。

POST /run/stable-diffusion-v35-medium?wait=20 报价 → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-diffusion-v35-medium?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Stable Diffusion 3.5 Medium

使用多模态扩散 Transformer,根据文本 `prompt` 生成图像。可通过 `negative_prompt`、`guidance_scale`(0 到 20)和 `num_inference_steps`(1 到 50,默认 40)控制结果。六种预设 `image_size` 覆盖正方形、纵向和横向比例。通过 `num_images` 每次请求 1 到 4 张图像,选择 jpeg 或 png 输出,并设置 `seed` 以复现结果。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
指导图像生成的提示词。
negative_prompt可选
类型string
默认值
指定要排除的图像细节的负面提示词,包括颜色、物体、场景或更细致的特征。例如胡子、模糊或低分辨率。
image_size可选
类型object
默认值landscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成图像的尺寸。
num_inference_steps可选
类型integer
默认值40
1 – 50
要执行的推理步数。
seed可选
类型integer | null
用于生成可复现图像的种子:模型版本不变时,相同的提示词和种子会生成相同图像。
guidance_scale可选
类型number
默认值4.5
0 – 20
图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。
num_images可选 num_outputs
类型integer
默认值1
1 – 4
请求生成的图像数量。
enable_safety_checker可选
类型boolean
默认值true
安全检查;对于被标记为不安全的图像,返回黑色图像替代。true 启用检查;false 仅对获授权账户禁用检查,未获授权的请求无论如何都会检查。
output_format可选
类型enum
默认值jpeg
jpegpng
结果图像的文件格式。
auto_fix可选
类型boolean
默认值true
对请求的 `image_size` 值进行兼容性处理:false 会在不兼容时返回 422 错误。默认值 true 会静默地将尺寸舍入为模型支持的最接近值。
必填 规范名称,也可接受

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-diffusion-v35-medium",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, width, height, content_type}生成图像的文件信息。
timings
object
seed
integer图像生成种子;如果输入未提供种子,则包含随机选择的值,否则重复使用所提供的值。
has_nsfw_concepts
array of boolean指示生成的图像中是否出现 NSFW 概念。
prompt
string图像生成期间使用的提示词。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/stable-diffusion-v35-medium.md. 所有模型和指南: https://doitong.com/developers/llms.txt